﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        private Steema.TeeChart.Styles.Bar Series1;

        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }

        private void InitializeChart()
        {
            m_chart.Aspect.View3D = false;
            Series1 = new Steema.TeeChart.Styles.Bar(m_chart.Chart);
            Series1.FillSampleValues(listBox1.Items.Count);
            for (int k = 0; k < listBox1.Items.Count; k++)
            {
                Series1.Colors[k] = Color.HotPink;
            }
            m_chart.BringToFront();
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            for (int k = 0; k < listBox1.Items.Count; k++)
            {
                m_chart.Series[0].Colors[k] = (k == listBox1.SelectedIndex ? Color.Red : Color.Green);
            }

            // optional; when missing, minimize and restore window, or resize, and proper colors appear, 
            // when present, just change focus to something else and then back and proper colour appear.
            m_chart.Draw();  
        }
    }
}
